org.keycloak.proxy

## Enum SecurityInfo.EmptyRoleSemantic

- java.lang.Object
- - java.lang.Enum<SecurityInfo.EmptyRoleSemantic>
  - - org.keycloak.proxy.SecurityInfo.EmptyRoleSemantic

- All Implemented Interfaces:
    Serializable, Comparable<SecurityInfo.EmptyRoleSemantic>
  Enclosing class:
    SecurityInfo<T extends SecurityInfo>

      public static enum SecurityInfo.EmptyRoleSemantic
      extends Enum<SecurityInfo.EmptyRoleSemantic>

  Equivalent to `ServletSecurity.EmptyRoleSemantic` but with an additional mode to require authentication but no role check.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATE` Mandate authentication but authorize access as no roles to check against.
    `DENY` Deny access to the resource regardless of the authentication state.
    `PERMIT` Permit access to the resource without requiring authentication or role membership.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SecurityInfo.EmptyRoleSemantic` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SecurityInfo.EmptyRoleSemantic[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMIT

          public static final SecurityInfo.EmptyRoleSemantic PERMIT

      Permit access to the resource without requiring authentication or role membership.

    - #### DENY

          public static final SecurityInfo.EmptyRoleSemantic DENY

      Deny access to the resource regardless of the authentication state.

    - #### AUTHENTICATE

          public static final SecurityInfo.EmptyRoleSemantic AUTHENTICATE

      Mandate authentication but authorize access as no roles to check against.

  - ### Method Detail

    - #### values

          public static SecurityInfo.EmptyRoleSemantic[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityInfo.EmptyRoleSemantic c : SecurityInfo.EmptyRoleSemantic.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityInfo.EmptyRoleSemantic valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.